<?php 
/**
 * Getsurveyquestions Page Controller
 * @category  Controller
 */
class GetsurveyquestionsController extends SecureController{
	function __construct(){
		parent::__construct();
		$this->tablename = "getsurveyquestions";
	}
	/**
     * List page records
     * @param $fieldname (filter record by a field) 
     * @param $fieldvalue (filter field value)
     * @return BaseView
     */
	function index($fieldname = null , $fieldvalue = null){
		$request = $this->request;
		$db = $this->GetModel();
		$tablename = $this->tablename;
		$fields = array("Survey_ID", 
			"description_en", 
			"description_ar", 
			"date_from", 
			"date_to", 
			"type", 
			"Status", 
			"Question_ID", 
			"Question_en", 
			"Question_ar", 
			"Survey_Question_type", 
			"SurveyID", 
			"options_label_en", 
			"options_label_ar");
		$pagination = $this->get_pagination(MAX_RECORD_COUNT); // get current pagination e.g array(page_number, page_limit)
		//search table record
		if(!empty($request->search)){
			$text = trim($request->search); 
			$search_condition = "(
				getsurveyquestions.Survey_ID LIKE ? OR 
				getsurveyquestions.description_en LIKE ? OR 
				getsurveyquestions.description_ar LIKE ? OR 
				getsurveyquestions.date_from LIKE ? OR 
				getsurveyquestions.date_to LIKE ? OR 
				getsurveyquestions.type LIKE ? OR 
				getsurveyquestions.Status LIKE ? OR 
				getsurveyquestions.Question_ID LIKE ? OR 
				getsurveyquestions.Question_en LIKE ? OR 
				getsurveyquestions.Question_ar LIKE ? OR 
				getsurveyquestions.Survey_Question_type LIKE ? OR 
				getsurveyquestions.SurveyID LIKE ? OR 
				getsurveyquestions.options_label_en LIKE ? OR 
				getsurveyquestions.options_label_ar LIKE ?
			)";
			$search_params = array(
				"%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%"
			);
			//setting search conditions
			$db->where($search_condition, $search_params);
			 //template to use when ajax search
			$this->view->search_template = "getsurveyquestions/search.php";
		}
		if(!empty($request->orderby)){
			$orderby = $request->orderby;
			$ordertype = (!empty($request->ordertype) ? $request->ordertype : ORDER_TYPE);
			$db->orderBy($orderby, $ordertype);
		}
		else{
			$db->orderBy("getsurveyquestions.Survey_ID", ORDER_TYPE);
		}
		if($fieldname){
			$db->where($fieldname , $fieldvalue); //filter by a single field name
		}
		$tc = $db->withTotalCount();
		$records = $db->get($tablename, $pagination, $fields);
		$records_count = count($records);
		$total_records = intval($tc->totalCount);
		$page_limit = $pagination[1];
		$total_pages = ceil($total_records / $page_limit);
		$data = new stdClass;
		$data->records = $records;
		$data->record_count = $records_count;
		$data->total_records = $total_records;
		$data->total_page = $total_pages;
		if($db->getLastError()){
			$this->set_page_error();
		}
		$page_title = $this->view->page_title = "Getsurveyquestions";
		$this->view->report_filename = date('Y-m-d') . '-' . $page_title;
		$this->view->report_title = $page_title;
		$this->view->report_layout = "report_layout.php";
		$this->view->report_paper_size = "A4";
		$this->view->report_orientation = "portrait";
		$this->render_view("getsurveyquestions/list.php", $data); //render the full page
	}
// No View Function Generated Because No Field is Defined as the Primary Key on the Database Table
}
