<?php
$comp_model = new SharedController;
$page_element_id = "list-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data From Controller
$view_data = $this->view_data;
$records = $view_data->records;
$record_count = $view_data->record_count;
$total_records = $view_data->total_records;
$field_name = $this->route->field_name;
$field_value = $this->route->field_value;
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_footer = $this->show_footer;
$show_pagination = $this->show_pagination;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="list"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container-fluid">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">Member</h4>
                </div>
                <div class="col-sm-3 ">
                </div>
                <div class="col-sm-4 ">
                    <form  class="search" action="<?php print_link('member'); ?>" method="get">
                        <div class="input-group">
                            <input value="<?php echo get_value('search'); ?>" class="form-control" type="text" name="search"  placeholder="Search" />
                                <div class="input-group-append">
                                    <button class="btn btn-primary"><i class="material-icons">search</i></button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-md-12 comp-grid">
                        <div class="">
                            <!-- Page bread crumbs components-->
                            <?php
                            if(!empty($field_name) || !empty($_GET['search'])){
                            ?>
                            <hr class="sm d-block d-sm-none" />
                            <nav class="page-header-breadcrumbs mt-2" aria-label="breadcrumb">
                                <ul class="breadcrumb m-0 p-1">
                                    <?php
                                    if(!empty($field_name)){
                                    ?>
                                    <li class="breadcrumb-item">
                                        <a class="text-decoration-none" href="<?php print_link('member'); ?>">
                                            <i class="material-icons">arrow_back</i>
                                        </a>
                                    </li>
                                    <li class="breadcrumb-item">
                                        <?php echo (get_value("tag") ? get_value("tag")  :  make_readable($field_name)); ?>
                                    </li>
                                    <li  class="breadcrumb-item active text-capitalize font-weight-bold">
                                        <?php echo (get_value("label") ? get_value("label")  :  make_readable(urldecode($field_value))); ?>
                                    </li>
                                    <?php 
                                    }   
                                    ?>
                                    <?php
                                    if(get_value("search")){
                                    ?>
                                    <li class="breadcrumb-item">
                                        <a class="text-decoration-none" href="<?php print_link('member'); ?>">
                                            <i class="material-icons">arrow_back</i>
                                        </a>
                                    </li>
                                    <li class="breadcrumb-item text-capitalize">
                                        Search
                                    </li>
                                    <li  class="breadcrumb-item active text-capitalize font-weight-bold"><?php echo get_value("search"); ?></li>
                                    <?php
                                    }
                                    ?>
                                </ul>
                            </nav>
                            <!--End of Page bread crumbs components-->
                            <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
        }
        ?>
        <div  class="">
            <div class="container-fluid">
                <div class="row ">
                    <div class="col-md-12 comp-grid">
                        <?php $this :: display_page_errors(); ?>
                        <div  class=" animated fadeIn page-content">
                            <div id="member-list-records">
                                <div id="page-report-body" class="table-responsive">
                                    <table class="table  table-striped table-sm text-left">
                                        <thead class="table-header bg-light">
                                            <tr>
                                                <th class="td-checkbox">
                                                    <label class="custom-control custom-checkbox custom-control-inline">
                                                        <input class="toggle-check-all custom-control-input" type="checkbox" />
                                                        <span class="custom-control-label"></span>
                                                    </label>
                                                </th>
                                                <th class="td-sno">#</th>
                                                <th  class="td-Company_Name"> Company Name</th>
                                                <th  class="td-Full_name"> Full Name</th>
                                                <th  class="td-membership_no"> Membership No</th>
                                                <th  class="td-CR"> Cr</th>
                                                <th  class="td-CPR"> Cpr</th>
                                                <th  class="td-Nationality"> Nationality</th>
                                                <th  class="td-DOB"> Dob</th>
                                                <th  class="td-Profile_Img"> Profile Img</th>
                                                <th  class="td-Mobile"> Mobile</th>
                                                <th  class="td-Email"> Email</th>
                                                <th  class="td-ID_Attachment"> Id Attachment</th>
                                                <th  class="td-capital"> Capital</th>
                                                <th  class="td-member_level"> Member Level</th>
                                                <th  class="td-user_id"> User Id</th>
                                                <th class="td-btn"></th>
                                            </tr>
                                        </thead>
                                        <?php
                                        if(!empty($records)){
                                        ?>
                                        <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                            <!--record-->
                                            <?php
                                            $counter = 0;
                                            foreach($records as $data){
                                            $rec_id = (!empty($data['Member_ID']) ? urlencode($data['Member_ID']) : null);
                                            $counter++;
                                            ?>
                                            <tr>
                                                <th class=" td-checkbox">
                                                    <label class="custom-control custom-checkbox custom-control-inline">
                                                        <input class="optioncheck custom-control-input" name="optioncheck[]" value="<?php echo $data['Member_ID'] ?>" type="checkbox" />
                                                            <span class="custom-control-label"></span>
                                                        </label>
                                                    </th>
                                                    <th class="td-sno"><?php echo $counter; ?></th>
                                                    <td class="td-Company_Name">
                                                        <span  data-value="<?php echo $data['Company_Name']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="Company_Name" 
                                                            data-title="Enter Company Name" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="text" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['Company_Name']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-Full_name">
                                                        <span  data-value="<?php echo $data['Full_name']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="Full_name" 
                                                            data-title="Enter Full Name" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="text" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['Full_name']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-membership_no">
                                                        <span  data-value="<?php echo $data['membership_no']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="membership_no" 
                                                            data-title="Enter Membership No" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="text" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['membership_no']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-CR">
                                                        <span  data-value="<?php echo $data['CR']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="CR" 
                                                            data-title="Enter Cr" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="text" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['CR']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-CPR">
                                                        <span  data-value="<?php echo $data['CPR']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="CPR" 
                                                            data-title="Enter Cpr" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="text" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['CPR']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-Nationality">
                                                        <span  data-source='<?php echo json_encode_quote(Menu :: $Nationality); ?>' 
                                                            data-value="<?php echo $data['Nationality']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="Nationality" 
                                                            data-title="Select a value ..." 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="select" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['Nationality']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-DOB">
                                                        <span  data-flatpickr="{ enableTime: false, minDate: '', maxDate: ''}" 
                                                            data-value="<?php echo $data['DOB']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="DOB" 
                                                            data-title="Enter Dob" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="flatdatetimepicker" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['DOB']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-Profile_Img"><?php Html :: page_img($data['Profile_Img'],50,50,1); ?></td>
                                                    <td class="td-Mobile">
                                                        <span  data-value="<?php echo $data['Mobile']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="Mobile" 
                                                            data-title="Enter Mobile" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="text" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['Mobile']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-Email"><a href="<?php print_link("mailto:$data[Email]") ?>"><?php echo $data['Email']; ?></a></td>
                                                    <td class="td-ID_Attachment">
                                                        <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("document_center/view/" . urlencode($data['ID_Attachment'])) ?>">
                                                            <i class="material-icons">visibility</i> <?php echo $data['document_center_Title_en'] ?>
                                                        </a>
                                                    </td>
                                                    <td class="td-capital">
                                                        <span  data-step="0.1" 
                                                            data-value="<?php echo $data['capital']; ?>" 
                                                            data-pk="<?php echo $data['Member_ID'] ?>" 
                                                            data-url="<?php print_link("member/editfield/" . urlencode($data['Member_ID'])); ?>" 
                                                            data-name="capital" 
                                                            data-title="Enter Capital" 
                                                            data-placement="left" 
                                                            data-toggle="click" 
                                                            data-type="number" 
                                                            data-mode="popover" 
                                                            data-showbuttons="left" 
                                                            class="is-editable" >
                                                            <?php echo $data['capital']; ?> 
                                                        </span>
                                                    </td>
                                                    <td class="td-member_level">
                                                        <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("member_level/view/" . urlencode($data['member_level'])) ?>">
                                                            <i class="material-icons">visibility</i> <?php echo $data['member_level_member_level_name_en'] ?>
                                                        </a>
                                                    </td>
                                                    <td class="td-user_id">
                                                        <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("user/view/" . urlencode($data['user_id'])) ?>">
                                                            <i class="material-icons">visibility</i> <?php echo $data['user_full_name'] ?>
                                                        </a>
                                                    </td>
                                                    <th class="td-btn">
                                                        <a class="btn btn-sm btn-success has-tooltip" title="View Record" href="<?php print_link("member/view/$rec_id"); ?>">
                                                            <i class="material-icons">visibility</i> View
                                                        </a>
                                                        <a class="btn btn-sm btn-info has-tooltip" title="Edit This Record" href="<?php print_link("member/edit/$rec_id"); ?>">
                                                            <i class="material-icons">edit</i> Edit
                                                        </a>
                                                        <a class="btn btn-sm btn-danger has-tooltip record-delete-btn" title="Delete this record" href="<?php print_link("member/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                            <i class="material-icons">clear</i>
                                                            Delete
                                                        </a>
                                                    </th>
                                                </tr>
                                                <?php 
                                                }
                                                ?>
                                                <!--endrecord-->
                                            </tbody>
                                            <tbody class="search-data" id="search-data-<?php echo $page_element_id; ?>"></tbody>
                                            <?php
                                            }
                                            ?>
                                        </table>
                                        <?php 
                                        if(empty($records)){
                                        ?>
                                        <h4 class="bg-light text-center border-top text-muted animated bounce  p-3">
                                            <i class="material-icons">block</i> No record found
                                        </h4>
                                        <?php
                                        }
                                        ?>
                                    </div>
                                    <?php
                                    if( $show_footer && !empty($records)){
                                    ?>
                                    <div class=" border-top mt-2">
                                        <div class="row justify-content-center">    
                                            <div class="col-md-auto justify-content-center">    
                                                <div class="p-3 d-flex justify-content-between">    
                                                    <button data-prompt-msg="Are you sure you want to delete these records?" data-display-style="modal" data-url="<?php print_link("member/delete/{sel_ids}/?csrf_token=$csrf_token&redirect=$current_page"); ?>" class="btn btn-sm btn-danger btn-delete-selected d-none">
                                                        <i class="material-icons">clear</i> Delete Selected
                                                    </button>
                                                    <div class="dropup export-btn-holder mx-1">
                                                        <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <i class="material-icons">save</i> Export
                                                        </button>
                                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                            <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                                            <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                                                <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                                                </a>
                                                                <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                                                <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                                                    <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                                                    </a>
                                                                    <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                                                    <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                                        <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                                        </a>
                                                                        <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                                        <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                                            <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                                            </a>
                                                                            <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                                            <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                                                <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                                                </a>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col">   
                                                                    <?php
                                                                    if($show_pagination == true){
                                                                    $pager = new Pagination($total_records, $record_count);
                                                                    $pager->route = $this->route;
                                                                    $pager->show_page_count = true;
                                                                    $pager->show_record_count = true;
                                                                    $pager->show_page_limit =true;
                                                                    $pager->limit_count = $this->limit_count;
                                                                    $pager->show_page_number_list = true;
                                                                    $pager->pager_link_range=5;
                                                                    $pager->render();
                                                                    }
                                                                    ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <?php
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </section>
